%define modname m2ext
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-m2ext
Version:        0.1
Release:        %mkrel 8
Summary:        M2Crypto Extensions

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  openssl-devel
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  python-m2crypto

Requires:       python-m2crypto


%description
This package contains some extended functions which are not (yet)
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>
trunk.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
    LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 755 %{buildroot}/%{python_sitearch}/%{modname}/_m2ext.so


%files
%doc README.rst LICENSE
%{python_sitearch}/%{modname}
%{python_sitearch}/%{modname}-%{version}*



%changelog
* Thu Mar 03 2016 umeabot <umeabot> 0.1-8.mga6
+ Revision: 983944
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 0.1-7.mga6
+ Revision: 937479
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.1-6.mga6
+ Revision: 937032
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-5.mga5
+ Revision: 738880
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-4.mga5
+ Revision: 728983
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-3.mga5
+ Revision: 688137
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Feb 25 2014 philippem <philippem> 0.1-1.mga5
+ Revision: 597105
- imported package python-m2ext

